Subject: Re: [Bitcoin-development] Proposal: Encrypt bitcoin messages

From: Raúl Martínez <[email-masked]>
Date: Tue, 19 Aug 2014 17:11:57 +0200

Only messages between peers are encrypted, only during transit.

Before sending a transaction to Node B you use his public key, so Node B
has the key
El 19/08/2014 17:05, "Richard Moore" <[email-masked]> escribió:

> If you encrypt all messages with an asymmetric cipher, how would each node
> make use of the blockchain in an encrypted form? Each node would be able to
> encrypt the data, but only the Bitcoin Core Dev could decrypt it?
>
>
> On Aug 19, 2014, at 5:49 AM, Raúl Martínez <[email-masked]> wrote:
>
> Hi,
> I believe that all comunications should be encrypted by default, no matter
> that is public information (tx info), the only exception I would make would
> be block packets (to avoid increasing propagation time).
>
> I suggest that Bitcoin Core should generate a public/private key pair and
> share the public one with peers.
>
> This could provide privacy and integrity but not autentication.
>
> This way you can impersonate a bitcoin node (active mitm) but you cant
> just be passive and record all transactions send or recieved by an IP
> address.
>
> Today you can just watch for incoming/outgoing transactions to determine
> what tx are created in the Node, when you find one you can see the Bitcoin
> address inputs and outputs and track that person's bitcoins.
>
> As an example, SSH provides this kind of encryption, althogh Bitcoin Core
> should ignore fingerprint changes (caused due to reinstalls).
>
> Please feel free to disqus why this is not needed or why you like this
> idea.
>
> ------------------------------------------------------------------------------
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>
>
> .·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸><(((º>
>
> Richard Moore ~ Founder
> Genetic Mistakes Software inc.
> phone: (778) 882-6125
> email: [email-masked]
> www: http://GeneticMistakes.com
>
>